Bug 149892 - Set default focus to button in "Properties" frame
Set default focus to button in "Properties" frame
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-02-28 12:29 EST by Paul Kennedy
Modified: 2015-04-19 20:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-24 17:30:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Kennedy 2005-02-28 12:29:58 EST
Description of problem:

When an element is selected in the navigation tree, there is no
default focus on any buttons in the right frame (at the bottom, below
the "Properties" display). Because text entry is required, usability
would be enhanced by setting the focus to a button in the right frame.
As it stands, the user needs to tab to a button, or click the button
with the mouse, then type text. With the focus already on a button, a
user would be able to press Enter from the keyboard; or, the user
could navigate up or down with the keyboard Up Arrow and Down Arrow
keys, then press Enter. This would especially improve usability for
larger clusters. Otherwise, a user may feel more comfortable
creating/updating the configuration file with Emacs or some other text

Version-Release number of selected component (if applicable):

How reproducible:

Navigate to any element in the navigation tree and observe that none
of the buttons in the right frame are set with focus; that is, none of
the buttons can be opened without tabbing over to them or clicking
them with the mouse.
Comment 1 Jim Parsons 2005-03-01 13:26:02 EST
i think will fix
Comment 2 Jim Parsons 2005-05-24 17:30:54 EDT
deferring this until the next gui version when those unsightly and unweildy
buttons dissappear

Note You need to log in before you can comment on or make changes to this bug.